(define-class Problem-data Object
  (
   ;; The data to test the system on the problem
   ;; $$
   ;; \gathered
   ;; -\nabla\cdot(a\nabla u)+b\cdot\nabla u+cu=f\quad\text{on }\Omega,
   ;; \\
   ;; a\frac{\partial u}{\partial n}+\gamma u=g\quad\text{on }\partial Omega.
   ;; \endgathered
   ;; $$
   
   (= description initializer: (lambda () "")) ; a description string

   ;; Any uninitialized fields are initialized to #f and taken to be 0.
   
   (= a      initializer: (lambda () #f))
   (= c      initializer: (lambda () #f))
   (= b      initializer: (lambda () #f))
   (= gamma  initializer: (lambda () #f))
   (= f      initializer: (lambda () #f))
   (= g      initializer: (lambda () #f))

   ;; If u is #f, then signal an error if trying to measure error between
   ;; computed solution and true solution

   (= u      initializer: (lambda () #f))))

